%define gegl_ver_major	0.4

Name:		dibuja
Version:	0.24.0
Release:	%mkrel 2
Summary:	Gtk based basic paint program
License:	GPLv3
Group:		Graphics/Utilities
Url:		https://launchpad.net/dibuja
Source0:	https://launchpad.net/dibuja/trunk/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(gegl-0.4) >= %{gegl_ver_major}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gexiv2)

%description
Dibuja is a program for quick small editing and drawing.

%prep
%autosetup -p1

%build
%configure --with-gtk3
%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%license COPYING
%{_bindir}/%{name}
%{_libdir}/gegl-%{gegl_ver_major}/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.24.0-2.mga10
+ Revision: 2218920
- Mageia 10 Mass Rebuild

* Tue Oct 03 2023 daviddavid <daviddavid> 0.24.0-1.mga10
+ Revision: 1993544
- new version: 0.24.0
- rebuild for new exiv2 0.28.0

* Fri Feb 24 2023 daviddavid <daviddavid> 0.21.12-2.mga9
+ Revision: 1945240
- add patch to fix build with babl-0.1

* Sun Jan 15 2023 daviddavid <daviddavid> 0.21.12-1.mga9
+ Revision: 1933592
- new version: 0.21.12

* Thu Mar 31 2022 umeabot <umeabot> 0.12.0-2.mga9
+ Revision: 1837721
- Mageia 9 Mass Rebuild

* Sun Jul 05 2020 daviddavid <daviddavid> 0.12.0-1.mga8
+ Revision: 1602285
- initial package dibuja

